# IRremoteESP8266: src/ir_Midea.h File Reference

ir_Midea.h File Reference

Support for Midea protocols. Midea added by crankyoldgit & bwze. More...

Go to the source code of this file.

## Classes

union | MideaProtocol
| Native representation of a Midea A/C message. More...
class | IRMideaAC
| Class for handling detailed Midea A/C messages. More...

## Variables

const uint8_t | kMideaACMinTempF = 62
| Fahrenheit. More...
const uint8_t | kMideaACMaxTempF = 86
| Fahrenheit. More...
const uint8_t | kMideaACMinTempC = 17
| Celsius. More...
const uint8_t | kMideaACMaxTempC = 30
| Celsius. More...
const uint8_t | kMideaACMinSensorTempC = 0
| Celsius. More...
const uint8_t | kMideaACMaxSensorTempC = 37
| Celsius. More...
const uint8_t | kMideaACMinSensorTempF = 32
| Fahrenheit. More...
const uint8_t | kMideaACMaxSensorTempF = 99
| Fahrenheit (Guess only!) More...
const uint8_t | kMideaACSensorTempOnTimerOff = 0b1111111
const uint8_t | kMideaACTimerOff = 0b111111
const uint8_t | kMideaACCool = 0
const uint8_t | kMideaACDry = 1
const uint8_t | kMideaACAuto = 2
const uint8_t | kMideaACHeat = 3
const uint8_t | kMideaACFan = 4
const uint8_t | kMideaACFanAuto = 0
const uint8_t | kMideaACFanLow = 1
const uint8_t | kMideaACFanMed = 2
const uint8_t | kMideaACFanHigh = 3
const uint64_t | kMideaACToggleSwingV = 0xA202FFFFFF7E
const uint64_t | kMideaACSwingVStep = 0xA201FFFFFF7C
| kSwingVToggleStr = kIonStr
const uint64_t | kMideaACToggleEcono = 0xA202FFFFFF7E
const uint64_t | kMideaACToggleLight = 0xA208FFFFFF75
const uint64_t | kMideaACToggleTurbo = 0xA209FFFFFF74
const uint8_t | kMideaACTypeCommand = 0b001
| Message type. More...
const uint8_t | kMideaACTypeSpecial = 0b010
| Message type. More...
const uint8_t | kMideaACTypeFollow = 0b100
| Message type. More...

## Detailed Description

Support for Midea protocols. Midea added by crankyoldgit & bwze.

See also
  https://docs.google.com/spreadsheets/d/1TZh4jWrx4h9zzpYUI9aYXMl1fYOiqu-xVuOOMqagxrs/edit?usp=sharing
  https://github.com/crankyoldgit/IRremoteESP8266/issues/1342#issuecomment-733721085

## Variable Documentation

## kMideaACAuto

const uint8_t kMideaACAuto = 2

## kMideaACCool

const uint8_t kMideaACCool = 0

## kMideaACDry

const uint8_t kMideaACDry = 1

## kMideaACFan

const uint8_t kMideaACFan = 4

## kMideaACFanAuto

const uint8_t kMideaACFanAuto = 0

## kMideaACFanHigh

const uint8_t kMideaACFanHigh = 3

## kMideaACFanLow

const uint8_t kMideaACFanLow = 1

## kMideaACFanMed

const uint8_t kMideaACFanMed = 2

## kMideaACHeat

const uint8_t kMideaACHeat = 3

## kMideaACMaxSensorTempC

const uint8_t kMideaACMaxSensorTempC = 37

Celsius.

## kMideaACMaxSensorTempF

const uint8_t kMideaACMaxSensorTempF = 99

Fahrenheit (Guess only!)

## kMideaACMaxTempC

const uint8_t kMideaACMaxTempC = 30

Celsius.

## kMideaACMaxTempF

const uint8_t kMideaACMaxTempF = 86

Fahrenheit.

## kMideaACMinSensorTempC

const uint8_t kMideaACMinSensorTempC = 0

Celsius.

## kMideaACMinSensorTempF

const uint8_t kMideaACMinSensorTempF = 32

Fahrenheit.

## kMideaACMinTempC

const uint8_t kMideaACMinTempC = 17

Celsius.

## kMideaACMinTempF

const uint8_t kMideaACMinTempF = 62

Fahrenheit.

## kMideaACSensorTempOnTimerOff

const uint8_t kMideaACSensorTempOnTimerOff = 0b1111111

## kMideaACSwingVStep

const uint64_t kMideaACSwingVStep = 0xA201FFFFFF7C

## kMideaACTimerOff

const uint8_t kMideaACTimerOff = 0b111111

## kMideaACToggleEcono

const uint64_t kMideaACToggleEcono = 0xA202FFFFFF7E

## kMideaACToggleLight

const uint64_t kMideaACToggleLight = 0xA208FFFFFF75

## kMideaACToggleSwingV

const uint64_t kMideaACToggleSwingV = 0xA202FFFFFF7E

## kMideaACToggleTurbo

const uint64_t kMideaACToggleTurbo = 0xA209FFFFFF74

## kMideaACTypeCommand

const uint8_t kMideaACTypeCommand = 0b001

Message type.

## kMideaACTypeFollow

const uint8_t kMideaACTypeFollow = 0b100

Message type.

## kMideaACTypeSpecial

const uint8_t kMideaACTypeSpecial = 0b010

Message type.

## kSwingVToggleStr

kSwingVToggleStr = kIonStr